# Features

Log show developer name and time of printing. "HH:MM:SS mmm"

# Getting started

```dart
  Log.k("HomePage", "Hello World");

//output
  abdo : 07:29:34:464 : HomePage: Hello World
```

# Usage
## Simple
```dart
Log.i("Hello");
```

## Key & Value:

```dart
  Log.k("HomePage", "Hello World");

//output
abdo : 07:29:34:464 : HomePage: Hello World
```


# Additional information

### Set developer name
Example if I need to set developer name "abdo" in every line of logs, to be able to filter the logs by your name.
````
//write inside "main.dart"
LogDeveloperInfo.setName("abdo");
````

### Print key and message
````
Log.k("HomePage", "Hello");
````

### Print Object
````
Log.object( mProject );
````

### Print Error
````
Log.e( "catch exception Out Of Bounds" );
````

# Contact US

| Developer | Contact |
| ------ | ------ |
| name | Abdallah Deliever |
| email | [abdallah.android.app@gmail.com](mailto:abdallah.android.app@gmail.com) |
| whatsApp | [+20 1063499774](https://wa.me/201063499774) |
| website | [deliever-app.com](https://deliever-app.com) |

The License for software

